%%
%% This is file `hebtech.cls',
%% generated with the docstrip utility.
%%
%% The original source files were:
%%
%% hebtech.dtx  (with options: `hebtech')
%% 
%% This is a generated file.
%% 
%% Copyright 1997-1998 Boris Lavva and any individual authors
%% listed elsewhere in this file. All rights reserved.
%% 
%% For further copyright information, and conditions for modification
%% and distribution, see any other copyright notices in this file.
%% 
%% This file is contributed to the Babel system, release 3.6.
%% ----------------------------------------------------------
%%   This system is distributed in the hope that it will be useful,
%%   but WITHOUT ANY WARRANTY; without even the implied warranty of
%%   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
%% 
%%   For error reports concerning UNCHANGED versions of this file no
%%   more than one year old, see bugs.txt.
%% 
%%   Please do not request updates from me directly.  Primary
%%   distribution is through the CTAN archives.
%% 
%% 
%% IMPORTANT COPYRIGHT NOTICE:
%% 
%% You are NOT ALLOWED to distribute this file alone.
%% 
%% You are allowed to distribute this file under the condition that it
%% is distributed together with all the files listed in manifest.txt.
%% 
%% If you receive only some of these files from someone, complain!
%% 
%% 
%% Permission is granted to customize the declarations in this file to
%% serve the needs of your installation, provided that you comply with
%% the conditions in the file legal.txt.
%% 
%% However, NO PERMISSION is granted to distribute a modified version
%% of this file under its original name.
%% 
%% 
%% MODIFICATION ADVICE:
%% 
%% If you want to customize this file, it is best to make a copy of
%% the source file(s) from which it was produced.  Use a different
%% name for your copy(ies) and modify the copy(ies); this will ensure
%% that your modifications do not get overwritten when you install a
%% new release of the standard system.
%% 
%% You can then easily distribute your modifications by distributing
%% the modified and renamed copy of the source file, together with a
%% suitable .ins file, taking care to observe the conditions in
%% legal.txt; this will ensure that other users can safely use
%% your modifications.
%% 
%% The names of the source files used are shown above.
%% 
%% 
%% LaTeX2e hebtech class, derived by Boris Lavva from original hebtech
%% macros created for LaTeX 2.09.
%%
%% Copyright 1994 Irina Abramovici, Taub Computer Center, Technion ---
%% Israel Institute of Technology, e-mail ccaiire@tx.technion.ac.il.
%%
%% This package can be used for writing a thesis in the Hebrew/English
%% languages, at the Technion --- Israel Institute of Technology.
%%
%% Bugs reports and suggestions should be addressed to
%% Irina Abramovici, Taub Computer Center, Technion, tel: 04-8293690,
%% e-mail: ccaiire@tx.technion.ac.il
%% OR
%% to Boris Lavva, tel: 04-8294659, e-mail: lavva@tx.technion.ac.il.
%%
%% This package is an experimental meant to answer to the demands of
%% the Graduate School of the Technion --- Israel Institute of
%% Technology.
%%
\NeedsTeXFormat{LaTeX2e}[1996/06/01]
\ProvidesClass{hebtech}
        [2001/07/22 v.1.1a Technion thesis class]
\ExecuteOptions{a4paper,12pt,oneside,onecolumn,final,openany}
\DeclareOption{draft}{%
  \PassOptionsToPackage{all,light}{draftcopy}
  \PassOptionsToClass{draft}{report}
  \AtEndOfClass{\RequirePackage{draftcopy}}}
\DeclareOption*{%
  \PassOptionsToClass{\CurrentOption}{report}}
\ProcessOptions
\LoadClass{report}
\RequirePackage{setspace}
\AtBeginDocument{\doublespacing}
\RequirePackage[english,hebrew]{babel}
\RequirePackage{hebcal}
\renewcommand{\Hebrewdate}[3]{%
  \HebrewFromGregorian{#1}{#2}{#3}
     {\Hebrewday}{\Hebrewmonth}{\Hebrewyear}%
  \if@rl%           Hebrew (right-to-left) mode
     \FormatForHebrew{\Hebrewmonth}{\Hebrewyear}%
  \else%            English mode
     \FormatForEnglish{\Hebrewmonth}{\Hebrewyear}%
  \fi}
\renewcommand{\FormatForEnglish}[2]{%
  \HebrewMonthNameInEnglish{#1}{#2}, \space\number#2}
\renewcommand{\FormatForHebrew}[2]{%
  \HebrewMonthName{#1}{#2} \space\HebrewYearName{#2}}
\renewcommand{\HebrewMonthNameInEnglish}[2]{%
  \ifnum #1 = 7%
     \CheckLeapHebrewYear{#2}%
     \if@HebrewLeap ADAR II\else ADAR\fi%
  \else%
     \ifcase #1%
        % nothing for 0
        \or TISHREI%
        \or HESHVAN%
        \or KISLEV%
        \or TEBETH%
        \or SHEBAT%
        \or ADAR I%
        \or ADAR II%
        \or NISAN%
        \or IYAR%
        \or SIVAN%
        \or TAMMUZ%
        \or AV%
        \or ELUL%
     \fi
  \fi}
\newcommand\engmonth[1]{%
  \ifcase#1\or January\or February\or March\or April\or May\or June\or
  July\or August\or September\or October\or November\or December\fi}
\newcommand{\Gregoriandate}[3]{%
  \if@rl%
     \hebmonth{#2} \space{\beginL\number#3\endL}%
  \else%
     \engmonth{#2}, \space{\number#3}%
  \fi}
\newcount\dd \newcount\mm \newcount\yy
\dd=\number\day \mm=\number\month \yy=\number\year
\renewcommand{\date}[3]{\dd=#1 \mm=#2 \yy=#3}
\addto\captionsenglish{%
  \def\acknowledgmentname{Acknowledgment}%
  \def\bibname{References}%
  \def\continuedname{Cont'd}%
  \def\definitionname{Definition}%
  \def\theoremname{Theorem}%
  \def\lemmaname{Lemma}%
  \def\claimname{Claim}%
  \def\corollaryname{Corollary}%
  \def\axiomname{Axiom}%
  \def\assumptionname{Assumption}%
  \def\examplename{Example}%
  \def\propertyname{Property}%
  \def\remarkname{Remark}%
  \def\problemname{Problem}%
  \def\algorithmname{Algorithm}%
}
\addto\captionshebrew{%
  \def\acknowledgmentname{\hebhe\hebkaf\hebresh\hebtav\ %
    \hebtav\hebvav\hebdalet\hebhe}%
  \def\bibname{\hebresh\hebshin\hebyod\hebmem\hebtav\ %
    \hebmem\hebqof\hebvav\hebresh\hebvav\hebtav}%
  \def\continuedname{\hebhe\hebmem\hebshin\hebfinalkaf}%
  \def\definitionname{\hebhe\hebgimel\hebdalet\hebresh\hebhe}%
  \def\theoremname{\hebmem\hebshin\hebpe\hebtet}%
  \def\lemmaname{\heblamed\hebmem\hebhe}%
  \def\claimname{\hebtet\hebayin\hebnun\hebhe}%
  \def\corollaryname{\hebmem\hebsamekh\hebqof\hebnun\hebhe}%
  \def\axiomname{\hebalef\hebqof\hebsamekh\hebyod\hebvav\hebmem\hebhe}%
  \def\assumptionname{\hebhe\hebnun\hebhet\hebhe}%
  \def\examplename{\hebdalet\hebvav\hebgimel\hebmem\hebhe}%
  \def\propertyname{\hebtav\hebkaf\hebvav\hebnun\hebhe}%
  \def\remarkname{\hebhe\hebayin\hebresh\hebhe}%
  \def\problemname{\hebbet\hebayin\hebyod\hebhe}%
  \def\algorithmname{\hebalef\heblamed\hebgimel\hebvav\hebresh\hebyod%
    \hebtav\hebfinalmem}%
}
\def\@makeschapterhead#1{%   % Heading for \chapter* command
  \vspace*{50\p@}%           % Space at top of text page.
  {\parindent \z@ \centering % Center the header
    \normalfont
    \interlinepenalty\@M
    \huge \bfseries #1\par   % Title.
    \nobreak                 % TeX penalty to prevent page break.
    \vskip 40\p@             % Space between title and text.
  }}
\renewcommand{\bchapternn}[2]{\chapter*{%
    \protect\if@rl #1\protect\else #2\protect\fi%
    \@mkboth{\MakeUppercase{\protect\if@rl #1\protect\else
                                           #2\protect\fi}}%
            {\MakeUppercase{\protect\if@rl #1\protect\else
                                           #2\protect\fi}}}
  \addcontentsline{toc}{chapter}{%
    \protect\hspace{-1.5em}\protect\numberline{}%
    \protect\if@rl #1\protect\else #2\protect\fi}
  \addcontentsline{cot}{chapter}{%
    \protect\hspace{-1.5em}\protect\numberline{}%
    \protect\if@rl #1\protect\else #2\protect\fi}}
\let\@@thebibliography\thebibliography
\def\thebibliography{%
  \addcontentsline{toc}{chapter}{\protect\hspace{-1.5em}\protect{%
      \bfseries\protect\numberline{}\protect\bibname}}
  \addcontentsline{cot}{chapter}{\protect\hspace{-1.5em}\protect{%
      \bfseries\protect\numberline{}\protect\bibname}}
  \@@thebibliography}
\newcommand{\bcaptionf}[2]{%
  \caption[\protect\if@rl \R{#1}\protect\else \L{#2}\protect\fi]{%
    \if@rl\R{#1} \protect\\ \L{Figure~\thefigure: #2}
    \else\L{#2} \protect\\ \R{\figurename~\thefigure: #1}
    \fi}}
\newcommand{\bcaptionff}[4]{%
  \caption[\protect\if@rl \R{#1}\protect\else \L{#2}\protect\fi]{%
    \if@rl\R{#3}\protect\\ \L{Figure~\thefigure: #4}
    \else\L{#4}\protect\\ \R{\figurename~\thefigure: #3}
    \fi}}
\newcommand{\bcaptiont}[2]{%
  \caption[\protect\if@rl \R{#1}\protect\else \L{#2}\protect\fi]{%
    \if@rl\R{#1} \protect\\ \L{Table~\thetable: #2}
    \else\L{#2} \protect\\ \R{\tablename~\thetable: #1}
    \fi}}
\newcommand{\bcaptiontt}[4]{%
  \caption[\protect\if@rl \R{#1}\protect\else \L{#2}\protect\fi]{%
    \if@rl\R{#3} \protect\\ \L{Table~\thetable: #4}
    \else\L{#4} \protect\\ \R{\tablename~\thetable: #3}
    \fi}}
\newcounter{thestype}
\newcounter{grade}
\def\title#1#2{\gdef\@@titleh{#1}\gdef\@@title{#2}}
\def\author#1#2{\gdef\@@authorh{#1}\gdef\@@author{#2}}
\def\dept#1#2{\gdef\@@depth{#1}\gdef\@@dept{#2}}
\def\dom#1#2{\gdef\@@domh{#1}\gdef\@@dom{#2}}
\def\advisori#1#2{\gdef\@@advisorih{#1}\gdef\@@advisori{#2}}
\def\advisorii#1#2{\gdef\@@advisoriih{#1}\gdef\@@advisorii{#2}}
\def\donori#1#2{\gdef\@@donorih{#1}\gdef\@@donori{#2}}
\def\donorii#1#2{\gdef\@@donoriih{#1}\gdef\@@donorii{#2}}
\def\donor#1#2{\gdef\@donorh{#1}\gdef\@donor{#2}}
\def\@@title{}
\def\@@author{}
\def\@@dom{}
\def\@@advisori{}
\def\@@advisorii{}
\def\@@donori{}
\def\@@donorii{}
\def\@donor{}
\def\@thestype{%
   \ifcase\value{thestype}%
   \or \MakeUppercase{Research Thesis}%
   \or \MakeUppercase{Project Thesis}%
   \or \MakeUppercase{Final Paper} \else {}\fi}
\def\@linei{%
  \MakeUppercase{Submitted in Partial Fulfillment
                 of the Requirements}}
\def\@lineii{%
   \ifcase\value{grade}%
        \or \MakeUppercase{For the Degree of Master of Science}
        \or \MakeUppercase{For the Degree of Master}
        \or \MakeUppercase{For the Degree of Master of Technology}
        \or \MakeUppercase{For the Degree of Doctor of Science}
        \else {}\fi}
\def\@lineiii{%
  \if\@@dom\else%
     \ifcase\value{grade}%
        \or \MakeUppercase{in} \MakeUppercase{\@@dom}%
        \or \MakeUppercase{in} \MakeUppercase{\@@dom}%
        \or \MakeUppercase{in} \MakeUppercase{\@@dom}%
        \else{}\fi%
  \fi}
\def\@lineiv{\mbox{\hspace{-.2in}\footnotesize\MakeUppercase{%
      Submitted to the Senate of the Technion --- %
      Israel Institute of Technology}}}
\def\@linev{\footnotesize{\Hebrewdate{\dd}{\mm}{\yy}%
            \hfill\MakeUppercase{Haifa}\hfill%
            \MakeUppercase{\Gregoriandate{\dd}{\mm}{\yy}}}}
\def\@linevi{\MakeUppercase{This}\
             \@thestype\
             \MakeUppercase{was supervised by}}
\def\@linevii{\MakeUppercase{under the auspices of the}}
\def\@donor{%
  \MakeUppercase{The generous financial help of}\ %
  \MakeUppercase{\@@donori}\ %
  \ifx\empty\@@donorii\else\MakeUppercase{and \@@donorii{} }\fi%
  \MakeUppercase{is gratefully acknowledged}}
\def\@@titleh{}
\def\@@authorh{}
\def\@@depth{}
\def\@@domh{}
\def\@@advisorih{}
\def\@@advisoriih{}
\def\@@donorih{}
\def\@@donoriih{}
\def\@donorh{}
\def\@thestypeh{%
   \ifcase\value{thestype}%
   \or \hebhet\hebyod\hebbet\hebvav\hebresh\ \hebayin\heblamed\ %
     \hebmem\hebhet\hebqof\hebresh%
   \or \hebhet\hebyod\hebbet\hebvav\hebresh\ \hebayin\heblamed\ %
     \hebpe\hebresh\hebvav\hebyod\hebqof\hebtet%
   \or \hebayin\hebbet\hebvav\hebdalet\hebtav\ %
     \hebgimel\hebmem\hebresh %
     \else {}\fi}
\def\@lineih{%
  \heblamed\hebshin\hebfinalmem\ *
  \hebmem\hebyod\heblamed\hebvav\hebyod\ %
  \hebhet\heblamed\hebqof\hebyod\ \hebshin\heblamed\ %
  \hebhe\hebdalet\hebresh\hebyod\hebshin\hebvav\hebtav\ %
  \heblamed\hebqof\hebbet\heblamed\hebtav\ %
  \hebtav\hebvav\hebalef\hebresh{}}
\def\@lineiih{%
   \ifcase\value{grade}%
        \or \hebmem\hebgimel\hebyod\hebsamekh\hebtet\hebresh\ %
            \heblamed\hebmem\hebdalet\hebayin\hebyod\hebfinalmem%
        \or \hebmem\hebgimel\hebyod\hebsamekh\hebtet\hebresh%
        \or \hebmem\hebgimel\hebyod\hebsamekh\hebtet\hebresh\ %
            \hebbet\hebtet\hebkaf\hebnun\hebvav\heblamed\hebvav%
    \hebgimel\hebyod\hebhe%
        \or \hebdalet\hebqof\hebtet\hebvav\hebresh\ %
            \heblamed\hebmem\hebdalet\hebayin\hebyod\hebfinalmem%
        \else {}\fi}
\def\@lineiiih{%
   \ifcase\value{grade}%
     \or \@@domh%
     \or \@@domh%
     \or \@@domh%
     \else{}\fi}
\def\@lineivh{%
  \hebhe\hebvav\hebgimel\hebshin\ %
  \heblamed\hebsamekh\hebnun\hebtet\ %
  \hebhe\hebtet\hebkaf\hebnun\hebyod\hebvav\hebfinalnun\ %
  \textemdash\ \hebmem\hebkaf\hebvav\hebfinalnun\ %
  \hebtet\hebkaf\hebnun\hebvav\heblamed\hebvav\hebgimel\hebyod\ %
  \heblamed\hebyod\hebshin\hebresh\hebalef\heblamed}
\def\@linevh{\Hebrewdate{\dd}{\mm}{\yy}%
             \hfill\hebhet\hebyod\hebpe\hebhe\hfill%
             \Gregoriandate{\dd}{\mm}{\yy}}
\def\@linevih{%
   \ifcase\value{thestype}%
   \or \@thestypeh{} \hebnun\hebayin\hebshin\hebhe%
   \or \@thestypeh{} \hebnun\hebayin\hebshin\hebhe%
   \or \@thestypeh{} \hebnun\hebayin\hebshin\hebtav\hebhe\else{}\fi}
\def\@lineviih{\hebbet\hebhe\hebdalet\hebresh\hebkaf\hebtav{}}
\def\@donorh{\hebalef\hebnun\hebyod\ \hebmem\hebvav\hebdalet\hebhe{}
  \heblamed\@@donorih{}
  \ifx\empty\@@donoriih\else\hebvav\heblamed\@@donoriih{} \fi
  \hebayin\heblamed\ \hebhe\hebtav\hebmem\hebyod\hebkaf\hebhe\ %
    \hebhe\hebkaf\hebsamekh\hebpe\hebyod\hebtav\ %
    \hebhe\hebnun\hebdalet\hebyod\hebbet\hebhe\ %
    \hebbet\hebhe\hebshin\hebtav\heblamed\hebmem\hebvav\hebtav\hebyod}%
\newcommand\frontmatter{%
  \if@openright\cleardoublepage\else\clearpage\fi%
  \if@rl\pagenumbering{alph}\else\pagenumbering{roman}\fi}
\newcommand\mainmatter{%
  \if@openright\cleardoublepage\else\clearpage\fi%
  \pagenumbering{arabic}}
\let\backmatter\frontmatter
\newcommand{\makecover}{%
  \begin{titlepage}
    \thispagestyle{empty}
    \null\vskip.8truein
    \begin{doublespace}
      \begin{center}
        \bfseries\if@rl\Huge\@@titleh
        \else\LARGE\MakeUppercase{\@@title}\fi
        \vskip2.7truein
        \if@rl\huge\@@authorh
        \else\LARGE\MakeUppercase{\@@author}\fi
      \end{center}
    \end{doublespace}
    \vfill\null
  \end{titlepage}
  \thispagestyle{empty}}
\renewcommand{\maketitle}{%
  \if@openright\cleardoublepage\else\clearpage\fi
  \thispagestyle{empty}
  \begin{doublespace}
    \begin{center}
      \bfseries\if@rl\huge\@@titleh
      \else\Large\MakeUppercase{\@@title}\fi
    \end{center}
    \vfill
    \begin{center}
      \if@rl\Large\@thestypeh\else\large\@thestype\fi
    \end{center}
    \vfill
    \begin{center}
      \if@rl\large
         \@lineih\\
         \@lineiih\\
         \@lineiiih
      \else\large
         \@linei\\
         \@lineii\\
         \@lineiii\fi
    \end{center}
    \vfill%
    \begin{center}
      \bfseries\if@rl\LARGE\@@authorh
      \else\Large\MakeUppercase{\@@author}\fi
    \end{center}
    \vfill
    \begin{center}
      \if@rl\large
         \@lineivh\\
         \@linevh
      \else
         \@lineiv\\
         \@linev\fi
    \end{center}
  \end{doublespace}
  \newpage\thispagestyle{empty}}
\newenvironment{acknowledgment}{%
  \if@openright\cleardoublepage\else\clearpage\fi
  \thispagestyle{empty}%
  \begin{center}
    \if@rl\large
      \@linevih{}
      \@lineviih{}
      \@@advisorih{}
      \ifx\empty\@@advisoriih\else\hebvav\@@advisoriih{} \fi\\
      \@@depth
    \else
      \@linevi{}
      \MakeUppercase{\@@advisori}\ %
      \ifx\empty\@@advisorii\else\MakeUppercase{and \@@advisorii{} }\fi
      \@linevii{}
      \MakeUppercase{\@@dept}
    \fi
  \end{center}
  \vfill
  \begin{center}%
    \if@rl\LARGE\acknowledgmentname%
    \else\Large\MakeUppercase{\acknowledgmentname}\fi
  \end{center}
  \vspace{2\baselineskip}
  \begingroup\large}
{\endgroup\vfill
  \begin{center}
    \if@rl\large\@donorh\else\@donor\fi
  \end{center}
  \newpage\normalsize\thispagestyle{empty}}
\newenvironment{dedication}{%
  \thispagestyle{empty}%
  \vspace*{2\baselineskip}
  \begin{center}\large}
  {\end{center}
  \newpage\normalsize\thispagestyle{empty}}
\renewenvironment{abstract}{%
  \if@openright\cleardoublepage\else\clearpage\fi%
  \if@rl\bchapternn{\abstractname}{Hebrew Abstract}
  \else\bchapternn{\hebtav\hebqof\hebtsadi\hebyod\hebresh\ %
                   \hebbet\hebalef\hebnun\hebgimel\heblamed%
   \hebyod\hebtav}
                  {\abstractname}\fi%
  \begingroup}{%
  \newpage\endgroup}
\def\ps@thesis{%
  \def\headeven{\protect\rule[-4pt]{\textwidth}{.5pt}\kern-\textwidth%
                \protect\if@rl\beginR\thepage\hfil{%
                              \bfseries\rightmark}\endR%
                \protect\else\thepage\hfil{%
                             \bfseries\leftmark}\protect\fi}
  \def\headodd{\protect\rule[-4pt]{\textwidth}{.5pt}\kern-\textwidth%
               \protect\if@rl\beginR{\bfseries\leftmark}%
                             \hfil\thepage\endR%
               \protect\else{\bfseries\rightmark}%
                             \hfil\thepage\protect\fi}
  \ps@headings}
\setlength{\textheight}{8.25in}
\setlength{\textwidth}{6.0in}
\setlength{\topmargin}{0pt}
\setlength{\headsep}{.5in}
\addtolength{\headsep}{-\headheight}
\setlength{\oddsidemargin}{.25in}
\setlength{\evensidemargin}{.25in}
\setlength{\marginparwidth}{40pt}
\setlength{\marginparsep}{10pt}
\brokenpenalty=10000
%%
%% \CharacterTable
%%  {Upper-case    \A\B\C\D\E\F\G\H\I\J\K\L\M\N\O\P\Q\R\S\T\U\V\W\X\Y\Z
%%   Lower-case    \a\b\c\d\e\f\g\h\i\j\k\l\m\n\o\p\q\r\s\t\u\v\w\x\y\z
%%   Digits        \0\1\2\3\4\5\6\7\8\9
%%   Exclamation   \!     Double quote  \"     Hash (number) \#
%%   Dollar        \$     Percent       \%     Ampersand     \&
%%   Acute accent  \'     Left paren    \(     Right paren   \)
%%   Asterisk      \*     Plus          \+     Comma         \,
%%   Minus         \-     Point         \.     Solidus       \/
%%   Colon         \:     Semicolon     \;     Less than     \<
%%   Equals        \=     Greater than  \>     Question mark \?
%%   Commercial at \@     Left bracket  \[     Backslash     \\
%%   Right bracket \]     Circumflex    \^     Underscore    \_
%%   Grave accent  \`     Left brace    \{     Vertical bar  \|
%%   Right brace   \}     Tilde         \~}
%%
\endinput
%%
%% End of file `hebtech.cls'.
